Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008981 [DCSS] Bug Report minor have not tried 2014-09-21 20:37 2014-09-23 00:56
Reporter Le_Nerd View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.16 ancient branch
Summary 0008981: Hall of Blades Vault unaccessable
Description Have a game going on on, worshipping Ashenzari. In Elf:2 a giant area, apparently the Hall of Blades, is not connected to rest- without Ash, I would never have known its there. Pic attached.
Additional Information
Tags No tags attached.
Attached Files png file icon Hall of blades bug.png [^] (484,674 bytes) 2014-09-21 20:37
? file icon 8981-0001-fix-connection-nicolae_blade_entry_pointy_end.patch [^] (870 bytes) 2014-09-22 00:05 [Show Content]

- Relationships

-  Notes
(0027336)
qoala (reporter)
2014-09-22 00:05

When using nicolae_blade_entry_pointy_end with elven_hall_of_blades_hangedman_original, the opening in the entry subvault no longer matches up with the @ glyphs where the main vault has the level builder attach.

Given that the level builder attachment points are fixed by the main vault, I'm not sure if there's a way to make this particular entry subvault work without doing something that looks odd either for this vault of other vaults.

I'm attaching a patch that opens up just enough squares in the subvault to make things work, but it might be better off removed, unfortunately.
(0027338)
nicolae (reporter)
2014-09-22 04:58

Eh, you can remove it if you want. I can make more hall of blades entry vaults.
(0027340)
neil (administrator)
2014-09-23 00:56

Fixed in trunk (0.16-a0-751-gc852bdd) by removing the offending entry vault, thanks!

- Issue History
Date Modified Username Field Change
2014-09-21 20:37 Le_Nerd New Issue
2014-09-21 20:37 Le_Nerd File Added: Hall of blades bug.png
2014-09-22 00:05 qoala Note Added: 0027336
2014-09-22 00:05 qoala File Added: 8981-0001-fix-connection-nicolae_blade_entry_pointy_end.patch
2014-09-22 04:58 nicolae Note Added: 0027338
2014-09-23 00:56 neil Note Added: 0027340
2014-09-23 00:56 neil Status new => resolved
2014-09-23 00:56 neil Fixed in Branch => 0.16 development branch
2014-09-23 00:56 neil Resolution open => done
2014-09-23 00:56 neil Assigned To => neil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker